package com.engine.matfron.service;

import com.engine.matfron.entity.OptionVO;
import com.engine.matfron.entity.PortalTopVO;

import java.util.TreeSet;


/**
 * @Author liang.cheng
 * @Date 2023/9/26 5:51 PM
 * @Description: 统计分析门户
 * @Version 1.0
 */
public interface StatisticsPortalService {

    /**
     * @Description: 门户顶部
     * @Author: liang.cheng
     * @Date: 2023/9/27 4:02 PM
     * @param: []
     * @return: com.engine.matfron.entity.PortalTopVO
     */
    TreeSet<PortalTopVO> getPortalTop();

    /**
     * @Description: 一级部门人数统计
     * @Author: liang.cheng
     * @Date: 2023/9/27 5:40 PM
     * @param: []
     * @return: com.engine.matfron.entity.OptionVO
     */
    OptionVO getPortalDepartment();

    /**
     * @Description: 各月份分部总人数
     * @Author: liang.cheng
     * @Date: 2023/9/28 11:23 AM
     * @param: []
     * @return: com.engine.matfron.entity.OptionVO
     */
    OptionVO getPortalSubCompany();


    OptionVO getPortalEthnic();
}
